Subject: bug#26600: 26.0.50; Compiled ps-print.el is non-functional

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Apr 2017 10:56:53 +0300

> From: Michael Heerdegen <[email-masked]>
> Date: Sat, 22 Apr 2017 05:41:22 +0200
> 
> ps-print.el has become non-functional for me in compiled form since some
> time (days?  weeks? ... not much longer).  It produces only empty .ps
> documents.
> 
> Here is a very simple recipe for emacs -Q (from *scratch*):
> 
> M-: (require 'ps-print) RET
> 
> M-: (ps-spool-buffer-with-faces) RET
> 
> Switch to the buffer *Post Script*.  The created document ends with
> 
> 
> | BeginDoc
> | %%EndSetup
> | 
> | %%Trailer
> | %%Pages: 0
> | 
> | EndDoc
> | 
> | %%EOF
> 
> If I save the buffer to a .ps file and open it with a viewer, I get a
> blank page.
> 
> Now I repeat the recipe with the source file ps-print.el loaded.  I get
> the expected result this time.  Hmm.

Does the problem go away if you byte-compile ps-print.el with Emacs
25?